### Hierarchy

- GameServerListPublisher

## Index

### Constructors

- constructor

### Properties

- gameList
- pubSub

### Methods

- publishGameList

## Constructors

### constructor

- new GameServerListPublisher(): GameServerListPublisher

- - Defined in game-server/GameServerListPublisher.ts:14

  #### Returns GameServerListPublisher

## Properties

### Private gameList

gameList: IGameList = {}

- Defined in game-server/GameServerListPublisher.ts:12

### Private pubSub

pubSub: default = ...

- Defined in game-server/GameServerListPublisher.ts:11

## Methods

### publishGameList

- publishGameList(): void

- - Defined in game-server/GameServerListPublisher.ts:22

  #### Returns void

Generated using TypeDoc